Subject: Re: [mobile-ip] MIP v6 Regional Registration - identifying re quirements

From: James Kempf <[email-masked]>
Date: Mon, 9 Apr 2001 09:19:30 -0700 (PDT)

Hesham,

>>  A short list of concerns include worries about introducing single
>> 	points of failure, whether or not multiple levels of hierarchy are 
needed,
>> 	the amount of signaling and tunneling overhead that is implied, the
>> 
>> 	=> We believe we got some confirmation for ROHC and CT
>> 	folks that tunnelling will not be an issue. 
>> 

Well, I'm glad you think that, because I've seen nothing in the
email thread that gives me any confidence at all that this will
be possible. I've seen Rajeev's note that changing the IP
address on the header might work, but not that changing 40 bytes
of header option will. And the ROHC chairs have not come out
one way or the other on this.

>> 	We would like to add two more requirements. 
>> 
>> 	0) Localised mobility management should provide the same
>> 	level of mobility management support as in the basic 
>> 	MIPv6 specifiation. The mobility management functions 
>> 	supported in MIPv6 must not be reduced in such mechanism.
>> 
>> 	0.5) The provided mechanism must interwork with existing 
>> 	MIPv6, IPv6 and the proposed mechanisms for SA establishment
>> 	in MIPv6. 

Yes, I would agreee.

Additionally, I would add:

	The mechanism should minimize mobile node involvement in routing,
	beyond what the current MIPv6 requires. Preferences, load balancing,
	and other complex host-based mechanism whereby the mobile node, 
	rather than the network, is involved in determining routes should
	be avoided, since one area IP networks have proven successful is
	separating routing from hosts and placing that functionality into
	the network.

>> 	6) Regional registration shall allow multiple levels of hierarchy
>> 
>> 	=> We can't see a reason for this requirement. We think it's 
>> 	 OK if we want to support mobile networks but we don't 
>> 	think this requirement should be placed for all cases. 
>> 	We never got an answer for the technical merits of 
>> 	this requirement. It would be good to know why. Otherwise 
>> 	we'd like to remove this requirement.
>> 

Hesham, I've given reasons for this requirement multiple times, but
my impression is that you've ignored them. The fact of the matter is you don't 
believe it's important because HMIP can only do it to a limited extent.

>> 
>> 	8) Regional registration shall not require changes to the mobile node, 
the
>> 	home agent, or correspondent nodes
>> 
>> 	=> We can understand the HA and CN, but no changes in the MN
>> 	seems strange. Is this possible ? 
>> 

Ideally, this would be great. The less the mobile node has to 
change, the better.

		jak